%define anolis_release 1
%global pypi_name pyclipper
%global pypi_version 1.3.0.post5

Name:           python-%{pypi_name}
Version:        1.3.0.post5
Release:        %{anolis_release}%{?dist}
Summary:        Cython wrapper for the C++ translation of the Angus Johnson's Clipper library

License:        MIT
URL:            https://github.com/greginvm/pyclipper
Source0:        %{pypi_source}

BuildRequires:  python3-devel python3-pip
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(cython) >= 0.28
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.11.1

%description
Pyclipper is a Cython wrapper exposing public functions and classes of the C++
translation of the Angus Johnson's Clipper library (ver. 6.4.2)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pyclipper is a Cython wrapper exposing public functions and classes of the C++
translation of the Angus Johnson's Clipper library (ver. 6.4.2)

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Feb 19 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 1.3.0.post5-1
- Initial package.
